
Redmine - Feature #8364

Option to auto-create repositories

2011-05-13 04:00 - Ве Fio

Status: Closed Start date: 2011-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Would be nice to have a redmine option to auto-create a repository after making a new project with the repository module enabled.

Some additional features could be also to allow manual creation, e.g. in the repository area of the settings tab, when you enter the

path to the new repo, have the system auto create a repository there. The path could also be autofilled in already, so all you'd have

to do is click create.

Would make everything a lot more useful, since reposman.rb on a cron wouldn't be needed to create new repositories.

Related issues:

Is duplicate of Redmine - Feature #6892: Automatic repository creation. New 2010-11-15

History

#1 - 2011-05-13 05:26 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-05-13 21:37 - Terence Mill

+1

I think i also saw another dupe issue (even feature of futire release), sadly can't remember the id

#3 - 2011-10-24 03:06 - Ве Fio

This would go nicely with an option to delete the repository when deleting projects (disabled by default to prevent mistakes), or the option to delete the

repository on a project per project basis (when deleting the project, the prompt can be displayed).

#4 - 2011-10-26 20:19 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Terence Mill wrote:

+1

I think i also saw another dupe issue (even feature of futire release), sadly can't remember the id

 You're right Terence. Not only one dupe also. I'll close this one as a dup of #6892 and will relate others to that issue too.
